Debian Bug report logs - #581326
mime-support: FTBFS: syntax error at /usr/bin/dpkg-name line 189, near ");"

version graph

Package: dpkg-dev; Maintainer for dpkg-dev is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg-dev is src:dpkg.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 12 May 2010 08:45:37 UTC

Severity: serious

Tags: sid, squeeze

Merged with 581315, 581329

Found in version dpkg/1.15.6

Fixed in version dpkg/1.15.7.2

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brian White <bcwhite@pobox.com>:
Bug#581326; Package src:mime-support. (Wed, 12 May 2010 08:45:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Brian White <bcwhite@pobox.com>. (Wed, 12 May 2010 08:45:40 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: mime-support: FTBFS: syntax error at /usr/bin/dpkg-name line 189, near ");"
Date: Wed, 12 May 2010 10:39:12 +0200
Source: mime-support
Version: 3.48-1
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100511 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  /usr/bin/fakeroot debian/rules binary
> test -f debian/rules
> test root = "`whoami`"
> rm -rf debian/tmp
> mkdir -p debian/tmp/DEBIAN debian/tmp/etc debian/tmp/usr/lib/mime/packages
> mkdir -p debian/tmp/usr/share/doc/mime-support debian/tmp/usr/sbin debian/tmp/usr/bin
> mkdir -p debian/tmp/usr/share/man/man1 debian/tmp/usr/share/man/man5 debian/tmp/usr/share/man/man8
> chmod -R 755 debian/tmp
> install -m 644 mime.types 		debian/tmp/etc/
> install -m 644 mailcap    		debian/tmp/usr/lib/mime/
> install -m 644 mailcap.order   		debian/tmp/etc/
> install -m 644 mailcap.man		debian/tmp/usr/share/man/man5/mailcap.5
> install -m 644 mailcap.order.man	debian/tmp/usr/share/man/man5/mailcap.order.5
> install -m 755 update-mime		debian/tmp/usr/sbin/
> install -m 644 update-mime.man		debian/tmp/usr/share/man/man8/update-mime.8
> install -m 755 run-mailcap		debian/tmp/usr/bin/
> install -m 644 run-mailcap.man		debian/tmp/usr/share/man/man1/run-mailcap.1
> install -m 644 rfcs/*			debian/tmp/usr/share/doc/mime-support/
> install -m 644 debian/changelog		debian/tmp/usr/share/doc/mime-support/changelog.Debian
> install -m 644 debian/README		debian/tmp/usr/share/doc/mime-support/copyright
> install -m 755 debian-view		debian/tmp/usr/lib/mime/
> install -m 644 mailcap.entries		debian/tmp/usr/lib/mime/packages/mime-support
> install -m 755 debian/postinst		debian/tmp/DEBIAN/postinst
> install -m 755 debian/prerm		debian/tmp/DEBIAN/prerm
> install -m 644 debian/conffiles		debian/tmp/DEBIAN/conffiles
> cd debian/tmp/usr/share/man; gzip -9fv */*
> man1/run-mailcap.1:	 48.9% -- replaced with man1/run-mailcap.1.gz
> man5/mailcap.5:	 59.8% -- replaced with man5/mailcap.5.gz
> man5/mailcap.order.5:	 52.8% -- replaced with man5/mailcap.order.5.gz
> man8/update-mime.8:	 57.9% -- replaced with man8/update-mime.8.gz
> cd debian/tmp/usr/share/doc/mime-support; gzip -9v *
> changelog.Debian:	 71.9% -- replaced with changelog.Debian.gz
> copyright:	 36.5% -- replaced with copyright.gz
> rfc1522.txt:	 43.7% -- replaced with rfc1522.txt.gz
> rfc1523.txt:	 45.0% -- replaced with rfc1523.txt.gz
> rfc1524.txt:	 45.0% -- replaced with rfc1524.txt.gz
> cd debian/tmp/usr/share/doc/mime-support; gunzip copyright.gz
> cd debian/tmp/usr/bin; ln -s run-mailcap see
> cd debian/tmp/usr/bin; ln -s run-mailcap edit
> cd debian/tmp/usr/bin; ln -s run-mailcap compose
> cd debian/tmp/usr/bin; ln -s run-mailcap print
> cd debian/tmp/usr/share/man/man1; ln -s run-mailcap.1.gz see.1.gz
> cd debian/tmp/usr/share/man/man1; ln -s run-mailcap.1.gz edit.1.gz
> cd debian/tmp/usr/share/man/man1; ln -s run-mailcap.1.gz compose.1.gz
> cd debian/tmp/usr/share/man/man1; ln -s run-mailcap.1.gz print.1.gz
> dh_md5sums
> dh_md5sums: Compatibility levels before 5 are deprecated.
> dpkg-gencontrol -is -ip
> chown -R root.root debian/tmp
> chmod -R go=rX     debian/tmp
> dpkg --build debian/tmp
> dpkg-deb: building package `mime-support' in `debian/tmp.deb'.
> dpkg-name -o -s .. debian/tmp.deb
> syntax error at /usr/bin/dpkg-name line 189, near ");"
> Execution of /usr/bin/dpkg-name aborted due to compilation errors.
> make: *** [binary-indep] Error 255

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/05/11/mime-support_3.48-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Bug reassigned from package 'src:mime-support' to 'dpkg-dev'. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Mon, 17 May 2010 11:00:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions mime-support/3.48-1. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Mon, 17 May 2010 11:00:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions dpkg/1.15.6. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Mon, 17 May 2010 11:00:09 GMT) Full text and rfc822 format available.

Forcibly Merged 581315 581326 581329. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Mon, 17 May 2010 11:00:12 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Mon, 17 May 2010 12:06:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Jun 2010 07:32:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:49:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.